List eventsAsk AIget https://api.render.com/v1/services/{serviceId}/eventsList recent events that occurred for the service with the provided ID.Path ParamsserviceIdstringrequiredThe ID of the serviceQuery ParamstypestringenumThe type of event to filter toautoscaling_config_changedautoscaling_endedautoscaling_startedbranch_deletedbuild_endedbuild_startedcommit_ignoredcron_job_run_endedcron_job_run_starteddeploy_endeddeploy_starteddisk_createddisk_updateddisk_deletedimage_pull_failedinitial_deploy_hook_endedinitial_deploy_hook_startedinstance_count_changedjob_run_endedmaintenance_mode_enabledmaintenance_mode_uri_updatedmaintenance_endedmaintenance_startedpipeline_minutes_exhaustedplan_changedpre_deploy_endedpre_deploy_startedserver_availableserver_failedserver_hardware_failureserver_restartedservice_resumedservice_suspendedsuspender_addedsuspender_removedzero_downtime_redeploy_endedzero_downtime_redeploy_startedstartTimedate-timeEpoch/Unix timestamp of start of time range to return. Defaults to now() - 1 hour.endTimedate-timeEpoch/Unix timestamp of end of time range to return. Defaults to now().cursorstringThe position in the result list to start from when fetching paginated results. For details, see Pagination.limitinteger1 to 100Defaults to 20The maximum number of items to return. For details, see Pagination.Responses 200Successful response 400The request could not be understood by the server. 401Authorization information is missing or invalid. 404Unable to find the requested resource. 429Rate limit has been surpassed. 500An unexpected server error has occurred. 503Server currently unavailable.Updated 6 months ago